| Version: 3.2.5

Classes | Enumerations
richtooltip.h File Reference

## Classes

class | wxRichToolTip
| Allows showing a tool tip with more customizations than wxToolTip. More...

## Enumerations

enum | wxTipKind { wxTipKind_None , wxTipKind_TopLeft , wxTipKind_Top , wxTipKind_TopRight , wxTipKind_BottomLeft , wxTipKind_Bottom , wxTipKind_BottomRight , wxTipKind_Auto }
| Support tip kinds for wxRichToolTip. More...

## Enumeration Type Documentation

## ◆ wxTipKind

enum wxTipKind

Support tip kinds for wxRichToolTip.

This enum describes the kind of the tip shown which combines both the tip position and appearance because the two are related (when the tip is positioned asymmetrically, a right handed triangle is used but an equilateral one when it's in the middle of a side).

Automatic selects the tip appearance best suited for the current platform and the position best suited for the window the tooltip is shown for, i.e. chosen in such a way that the tooltip is always fully on screen.

Other values describe the position of the tooltip itself, not the window it relates to. E.g. wxTipKind_Top places the tip on the top of the tooltip and so the tooltip itself is located beneath its associated window.

Enumerator
wxTipKind_None | Don't show any tip, the tooltip will be (roughly) rectangular.
wxTipKind_TopLeft | Show a right triangle tip in the top left corner of the tooltip.
wxTipKind_Top | Show an equilateral triangle tip in the middle of the tooltip top side.
wxTipKind_TopRight | Show a right triangle tip in the top right corner of the tooltip.
wxTipKind_BottomLeft | Show a right triangle tip in the bottom left corner of the tooltip.
wxTipKind_Bottom | Show an equilateral triangle tip in the middle of the tooltip bottom side.
wxTipKind_BottomRight | Show a right triangle tip in the bottom right corner of the tooltip.
wxTipKind_Auto | Choose the appropriate tip shape and position automatically. This is the default and shouldn't normally need to be changed. Notice that currently wxTipKind_Top or wxTipKind_Bottom are used under Mac while one of the other four values is selected for the other platforms.